<?php
if(gridchamp_set_to_premium() && !get_theme_mod('disable_walker_core_faq')){
    if( get_theme_mod('faq_status') ){
        if(get_theme_mod('faqs_total_items')){
            $post_per_page_faqs =get_theme_mod('faqs_total_items');
        }else{
            $post_per_page_faqs= 3;
        }
    $current_faq_layout = get_theme_mod('walker_faq_layout');
    if($current_faq_layout =='faq-layout-2'){
        ?>
        <div class="walker-wraper faqs-wraper">
            <div class="walker-container">
                <div class="walkerwp-grid-5">
                    <?php 
                        if(get_theme_mod('faqs_heading_text')){
                            echo '<h2 class="section-heading">'.esc_html(get_theme_mod('faqs_heading_text')).'</h2>';
                        }
                        if(get_theme_mod('faq_desc_text') ){
                            echo '<p class="section-subheader">'.esc_html(get_theme_mod('faq_desc_text')).'</p>';
                        }
                if(get_theme_mod('faq_viewall_text')){
                    if(get_theme_mod('faqs_viewall_btn_link')){
                        $more_faqs_link = get_theme_mod('faqs_viewall_btn_link');
                    }else{
                        $more_faqs_link='#';
                    }
                    ?>
                    <a href="<?php echo esc_url($more_faqs_link);?>" class="more-features gridchamp-primary-button">
                        <?php echo esc_html(get_theme_mod('faq_viewall_text'));?>
                        </a>
                <?php }
                ?>
                </div>
                <div class="walkerwp-grid-7">
                    <div class="gridchamp-faqs">
                        <ul class="faq">
                            <?php 
                            
                            $gridchamp_query = new WP_Query( array( 'post_type' => 'wcr_faqs', 'order'=> 'DESC', 'posts_per_page' => $post_per_page_faqs) );
                                while ($gridchamp_query->have_posts()) : $gridchamp_query->the_post();?>
                                    <li class="question"><?php the_title();?></li>
                                    <li class="answer"><?php the_content();?></li>
                            <?php endwhile; 
                             wp_reset_postdata(); ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    <?php }else{?>
        <div class="walker-wraper faqs-wraper">
            <div class="walker-container gridchamp-faqs faqs-header">
                <div class="walkerwp-grid-12">
                    <?php 
                        if(get_theme_mod('faqs_heading_text') ){
                            echo '<h2 class="section-heading text-center">'.esc_html(get_theme_mod('faqs_heading_text')).'</h2>';
                        }
                        if(get_theme_mod('faq_desc_text') ){
                            echo '<p class="section-subheader text-center">'.esc_html(get_theme_mod('faq_desc_text')).'</p>';
                        }?>
                </div>
               
            </div>
            <div class="walker-container">
                <div class="walkerwp-grid-12">
                    <div class="gridchamp-faqs">
                        <ul class="faq">
                            <?php $gridchamp_query = new WP_Query( array( 'post_type' => 'wcr_faqs', 'order'=> 'DESC', 'posts_per_page' => $post_per_page_faqs) );
                                while ($gridchamp_query->have_posts()) : $gridchamp_query->the_post();?>
                                    <li class="question"><?php the_title();?></li>
                                    <li class="answer"><?php the_content();?></li>
                            <?php endwhile; 
                             wp_reset_postdata(); ?>
                        </ul>
                    </div>
                    <div class="walkerwp-grid-12 text-center">
                       <?php
                       if(get_theme_mod('faq_viewall_text')){
                            if(get_theme_mod('faqs_viewall_btn_link')){
                                $more_faqs_link = get_theme_mod('faqs_viewall_btn_link');
                            }else{
                                $more_faqs_link='#';
                            }
                            ?>
                            <a href="<?php echo esc_url($more_faqs_link);?>" class="more-features gridchamp-primary-button">
                                <?php echo esc_html(get_theme_mod('faq_viewall_text'));?>
                                </a>
                        <?php }
                       ?>
                    </div>
                </div>
            </div>
        </div>
    
<?php  }
}
 }?>


