<?php 
if(gridchamp_set_to_premium() && !get_theme_mod('disable_walker_core_brands')){
	if(get_theme_mod('brand_status')){?>
		<div class="walker-wraper brands-wraper">
			<div class="walker-container text-center">
				<div class="walkerwp-grid-12">
				<?php 
					if(esc_attr(get_theme_mod('brands_heading_text')) ){
						echo '<h2 class="section-heading text-center">'.esc_attr(get_theme_mod('brands_heading_text')).'</h2>';
					}
					if(esc_attr(get_theme_mod('brands_desc_text')) ){
						echo '<p class="section-subheader text-center">'.esc_attr(get_theme_mod('brands_desc_text')).'</p>';
					}?>
				</div>
			</div>
			<?php if(get_theme_mod('enable_brand_full_width')){
				$brands_width_class= 'full-width';
				$carousel_class = 'gridchamp-brands';
			}else{
				$brands_width_class= '';
				$carousel_class = 'gridchamp-brands-box';
			}?>
			<div class="walker-container <?php echo esc_attr($brands_width_class);?>">
				<div class="swiper-container <?php echo esc_attr($carousel_class);?>">
      				<div class="swiper-wrapper">
						<?php $gridchamp_query = new WP_Query( array( 'post_type' => 'wcr_brands', 'order'=> 'DESC', 'posts_per_page' =>-1) );
						    while ($gridchamp_query->have_posts()) : $gridchamp_query->the_post();?>
						    <div class="swiper-slide">
						    	
							  		<?php 
							    	if ( has_post_thumbnail() ) {?>
										<?php the_post_thumbnail(); ?>
									<?php	} ?>
									
								
							</div>
						<?php endwhile; 
						wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
		</div>
	<?php } 
} ?>